package mappings;

import com.ibm.etools.xsd.bean.runtime.AnyType;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.util.Arrays;
import java.util.Date;
import java.util.GregorianCalendar;
import java.util.Hashtable;
import java.util.List;
import java.util.Vector;
import org.w3c.dom.Element;

public class FindZipCodesResult_ElementContentType extends AnyType
{
  public FindZipCodesResult_ElementContentType()
  {
    addElement("findZipCodesRow", FindZipCodesRow_ElementLocalContentType.class);
  }

  public static class FindZipCodesRow_ElementLocalContentType extends AnyType
  {
    public FindZipCodesRow_ElementLocalContentType()
    {
      addElement("ZIPCODE", String.class);
    }

    public String getZIPCODE()
    {
      return (String)this.basicGet("ZIPCODE", 0);
    }

    public void setZIPCODE(String zIPCODE)
    {
      this.basicSet("ZIPCODE", 0, zIPCODE);
    }

  }


  public FindZipCodesRow_ElementLocalContentType getFindZipCodesRow(int index)
  {
    return (FindZipCodesRow_ElementLocalContentType)this.basicGet("findZipCodesRow", index);
  }

  public void setFindZipCodesRow(int index, FindZipCodesRow_ElementLocalContentType findZipCodesRow)
  {
    this.basicSet("findZipCodesRow", index, findZipCodesRow);
  }

  public FindZipCodesRow_ElementLocalContentType[] getFindZipCodesRow()
  {
    List result = this.basicGet("findZipCodesRow");
    return (FindZipCodesRow_ElementLocalContentType[])basicToArray(result, new FindZipCodesRow_ElementLocalContentType[result.size()]);
  }

  public void setFindZipCodesRow(FindZipCodesRow_ElementLocalContentType[] findZipCodesRow)
  {
    this.basicSet("findZipCodesRow", basicToList(findZipCodesRow));
  }

}


